BOOT(8) | System Manager's Manual (ATARI) | BOOT(8)

# NAME

boot — system bootstrapping procedures

# DESCRIPTION

## Power fail and crash recovery

When the NetBSD kernel is booted normally (using one of the two methods discussed below), it initializes itself and proceeds to boot the system. An automatic consistency check of the file systems takes place, and unless this fails, the system comes up to multi-user operations. The proper way to shut the system down is with the shutdown(8) command.

If the system crashes, it will enter the kernel debugger, ddb(4), if it is configured in the kernel. If the debugger is not present, or the debugger is exited, the system will attempt a dump to the configured dump device (which will be automatically recovered with savecore(8) during the next boot cycle). After the dump is complete (successful or not), the system will attempt a reboot.

## Booting NetBSD using the bootloader

When a bootable NetBSD partition is created by means of installboot(8) and the boot-preference bit in the NVRAM is either invalid or set to NetBSD , the Atari BIOS will automatically start the NetBSD bootloader. By default it will load the kernel image /netbsd and attempts to boot it into multi-user mode. This behaviour can be changed by either keeping the Alternate or the Right-Shift key pressed during the boot. When the Alternate key is pressed, the bootstrap is aborted, causing the BIOS to continue scanning the disks for a bootable partition (this is compatible with AHDI 3.0). Pressing the Right-Shift key during the boot, causes the boot loader to enter the interactive mode. In interactive mode, the command line looks like:

[OS-type] [boot-path] [boot-options]

Each component of the command can be omitted in which case the defaults indicated will be used.

OS-type:
  .netbsd (the default)
  .linux
  .asv
  .tos

  If something other than .netbsd is specified, control is returned to the BIOS with the boot preference set to the selected type. Due to limitations of the BIOS however, the search for bootblocks is continued rather than restarted.

boot-path
  This gives you the opportunity to boot another kernel, say: /netbsd.old. The default is /netbsd
boot-options
  These options are a subset of the loadbsd(8) options.
  -a
    Boot into multi-user mode (the default)
  -b
    Prompt for the root file system device, the system crash dump device, and the path to init(8).
  -d
    Enter the kernel debugger
  -q
    Boot in quiet mode
  -v
    Boot in verbose mode

## Booting using the loadbsd program

When you want (or have to) start NetBSD from GEM, you have to use the loadbsd(8) program that is supplied on the kernel-floppy. The loadbsd command line specification is:

loadbsd [-abdhqstvwDV] [-S amount] [-T amount] kernel-path

Description of options:

-a
  Boot automatically into multi-user mode.
-b
  Prompt for the root file system device, the system crash dump device, and the path to init(8).
-d
  Enter the kernel debugger after booting.
-h
  Print a help screen that tries to explain the same options as mentioned here.
-o outputfile
  Write all output to the file outputfile.
-q
  Boot in quiet mode.
-s
  Tell NetBSD only to use ST compatible RAM.
-t
  Test loading of the kernel but don't start NetBSD.
-v
  Boot in verbose mode.
-w
  Wait for a keypress before exiting loadbsd. This is useful when starting this program under GEM.
-D
  Show debugging output while booting the kernel.
-S amount
  Set the amount of available ST compatible RAM in bytes. Normally this value is set automatically from the values initialized by the BIOS.
-T amount
  Set the amount of available TT compatible RAM in bytes. Normally this value is set automatically from the values initialized by the BIOS.
-V
  Print the version of loadbsd(8) that you are using.
kernel-path
  This is a GEMDOS path specification of the kernel to boot.

Note: Because the loadbsd program can only read kernels from a GEMDOS filesystem, the file /netbsd is usually not the same as the actual kernel booted. This can cause some programs to fail.

# FILES

/netbsd
  system kernel

# SEE ALSO

ddb(4), savecore(8), shutdown(8)

April 8, 2003 | NetBSD 6.0